#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>
#include <QtCore>
#include <QtGui>


namespace Ui {
    class Dialog;
}

class Dialog : public QDialog
{
    Q_OBJECT

public:
    explicit Dialog(QWidget *parent = 0);
    ~Dialog();

private:
    Ui::Dialog *ui;
    QGraphicsScene *S;
    QGraphicsEllipseItem *E;
    QGraphicsRectItem *R;
    QGraphicsPolygonItem *P;
    double x,y,theta,vit,t,dt;

    void DrawRobot();




private slots:
    void on_pushButton_clicked();
};

#endif // DIALOG_H
